from flask import Flask, request, jsonify
from datetime import datetime
import os

app = Flask(__name__)
LOG_DIR = "/home/doc/vpslogs"
os.makedirs(LOG_DIR, exist_ok=True)

@app.route("/genesislog", methods=["POST"])
def genesis_log():
    data = request.get_json()
    if not data or "host" not in data or "ip" not in data:
        return jsonify({"error": "Invalid data"}), 400

    host = data["host"]
    ip = data["ip"]
    timestamp = data.get("timestamp", datetime.utcnow().isoformat())
    logfile = os.path.join(LOG_DIR, f"{host}.log")

    with open(logfile, "a") as f:
        f.write(f"{timestamp} - {host} ({ip}) deployed and hardened.\n")

    return jsonify({"status": "logged"}), 200

if __name__ == "__main__":
    app.run(host="0.0.0.0", port=8080)
